Subject: Re: [PATCH v7 00/17] propose config-based hooks (part I)

From: Junio C Hamano <[email-masked]>
Date: Mon, 28 Dec 2020 14:50:42 -0800

Emily Shaffer <[email-masked]> writes:

> On Mon, Dec 21, 2020 at 06:11:05PM -0800, Junio C Hamano wrote:
>> 
>> Emily Shaffer <[email-masked]> writes:
>> 
>> > Since v6:
>> >
>> >  - Converted 'enum hookdir_opt' to UPPER_SNAKE
>> >  - Coccinelle fix in the hook destructor
>> >  - Fixed a bug where builtin/hook.c wasn't running the default git config setup
>> >    and therefore missed hooks in core.hooksPath when it was set. (These hooks
>> >    would still run except when invoked by 'git hook run' as the config was
>> >    called by the processes which invoked the hook library.)
>> 
>> Thanks.  Queued both series (it probably is easier to think of these
>> as a single 34-patch series, as long as they both are in flight at
>> the same time).
>> 
>
> Do you want me to send them as a single thread for next version?

Unless we deliberately focus on stabilizing the early 17 patches
into a shape that they won't need updating while working on the
later part of the series, I'd guess that your next resend would
contain updated versions of these 17 patches, so the only effect
that it has to pretend that the patches belong to two separate
series is to invite mistakes while queuing on my part.  So either
(1) a single thread of all patches, or (2) just the early part to
really make sure everybody is happy with them, so that we can
graduate it early even while the remainder may be going through
revisions, would be more preferrable than the way they have been
structured so far.

Thanks.